% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 10.2
clc;
disp('Fhrer/Heidemann/Nerreter');
disp('Grundgebiete der Elektrotechnik, Band 3');
disp('Lsung der Aufgabe 10.2');
disp(' ');
format long;
b2g=180/pi;
Q1=5e-9;
Q2=4e-9;
r1=3e-2;
r2=2e-2;
eps0=8.8542e-12;
E1=Q1/(4*eps0*pi*r1^2);
E2=Q2/(4*eps0*pi*r2^2);
E0=sqrt(E1^2+E2^2);
alpha=b2g*atan(E2/E1) - 180;
disp(['E0 =',sprintf(' %3.4f ',E0/1000),'kV/m']);
disp(['alpha =',sprintf(' %3.4f ',alpha),'']);
disp(' ');
elem=1.602e-19;
F=elem*E0;
alphaF=alpha+180;
disp(['F =',sprintf(' %3.4e ',F),'N']);
disp(['alphaF =',sprintf(' %3.4f ',alphaF),'']);
disp(' ');
phi0=(Q1/r1+Q2/r2)/(4*pi*eps0);
Wun0=elem*phi0;
disp(['phi0 =',sprintf(' %2.4f ',phi0/1000),'kV']);
disp(['Wun0 =',sprintf(' %2.4e ',Wun0),'J']);
