% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 4.1
clc
disp('Fhrer/Heidemann/Nerreter');
disp('Grundgebiete der Elektrotechnik, Band 3');
disp('Lsung der Aufgabe 4.1');
disp(' ');
Uq=10;
RZ=4;
UqZ=5.1;
UqBE=0.68;
RBE=400;
hFE=290;
GCE=50e-6;
IC=30e-3;
IB=IC/hFE;
IZ=100*IB;
R1ber=(Uq-RZ*IZ-UqZ)/(IZ+IB);
U0=UqZ+RZ*IZ-RBE*IB-UqBE;
R2ber=U0/(IB+IC);
disp(['R1ber =',sprintf(' %3.5f ',R1ber),'Ohm']);
disp(['R2ber =',sprintf(' %3.5f ',R2ber),'Ohm']);
R1=470;
R2=150;
G1=1/R1;
G2=1/R2;
IBmax=300e-6;
IZ=(Uq-UqZ-R1*IBmax)/(R1+RZ);
Umin=UqZ+RZ*IZ-RBE*IBmax-UqBE;
IVmax=(hFE+1)*IBmax+GCE*(Uq-Umin)-Umin/R2;
RVmin=Umin/IVmax;
disp(['RVmin =',sprintf(' %3.5f ',RVmin),'Ohm']);
disp(' ');
M=[R1 R1+RZ 0; -(1+hFE) 0 GCE+G2; RBE -RZ 1];
Rs=[Uq-UqZ; GCE*Uq; UqZ-UqBE];
E=linsolve(M, Rs);
Uqe=E(3);
Rie=RVmin*(Uqe-Umin)/Umin;
disp(['Uqe =',sprintf(' %3.5f ',Uqe),'V']);
disp(['Rie =',sprintf(' %3.5f ',Rie),'Ohm']);