% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 5.15
clc
disp('Fhrer/Heidemann/Nerreter');
disp('Grundgebiete der Elektrotechnik, Band 3');
disp('Lsung der Aufgabe 5.15');
disp(' ');
format long;
b2g=180/pi;
f=50;
w=2*pi*f;
I1=1.9;
I2=3.0;
P1=400;
P2=400;
U=230;
S1=U*I1;
S2=U*I2;
Q1=sqrt(S1^2-P1^2);
Q2=sqrt(S2^2-P2^2);
phi1=atan(Q1/P1);
phi2=atan(Q2/P2);
I1kom=I1*cos(phi1)-1i*I1*sin(phi1);
I2kom=I2*cos(phi2)-1i*I2*sin(phi2);
Iges=I1kom+I2kom;
betI=abs(Iges);
winI=b2g*angle(Iges);
disp(['I =',sprintf(' %2.5f ',betI),'A /_',sprintf(' %2.3f ',winI),'']);
P=P1+P2;
Q=Q1+Q2;
S=U*betI;
disp(['P =',sprintf(' %3.3f ',P),'W']);
disp(['Q =',sprintf(' %3.3f ',Q),'var']);
disp(['S =',sprintf(' %3.3f ',S),'VA']);
disp(' ');
disp('Vollstndige Kompensation auf cos phi = 1');
C=Q/(w*U^2);
disp(['C =',sprintf(' %2.4f ',1e6*C),'uF']);
disp(' ');
disp('Teilkompensation auf cos phi = 0,95');
phi2=acos(0.95);
QL2=P*tan(phi2);
C=(Q-QL2)/(w*U^2);
disp(['C =',sprintf(' %2.4f ',1e6*C),'uF']);
