% Band 3, Kapitel 6, Aufgabe 8
clc
disp('Fhrer/Heidemann/Nerreter');
disp('Grundgebiete der Elektrotechnik, Band 3');
disp('Lsung der Aufgabe 6.8');
disp(' ');
disp('Doppel-T-Filter');
disp(' ');
format long;
syms dwc w C R Zo Zu Y Tu GV;
dwc=1i/(2*w*C);
Zo=[R-dwc -dwc; -dwc R-dwc];
Zu=[R/2-1i/(w*C) R/2; R/2 R/2-1i/(w*C)];
Y=inv(Zo) + inv(Zu);
Tu=-Y(2,1)/(Y(2,2)+GV);
Tu=simplify(Tu);
disp('Tu = '); disp(Tu)
syms W
eqn=(4*W/(1-W^2))^2==1;
x=solve(eqn,W);
m=0;
for k=1:4
    if x(k)>0; m=m+1; Wg(m)=double(x(k)); end
end
Wgo=Wg(1);
Wgu=Wg(2);
if Wgo<Wgu; Wgo=Wg(2); Wgu=Wg(1); end
disp(['Omega go =',sprintf(' %5.5f ',Wgo)]);
disp(['Omega gu =',sprintf(' %5.5f ',Wgu)]);
disp(' ');
figure;
axis equal;
plot([-2 2],[0 0]); hold on;
k=1;
W=10^(0.1*k-2);
T=1/(1+4i*W/(1-W^2));
aT=abs(T);
xa=log10(W);
ya=aT;
for k=2:400
    W=10^(0.01*k-2);
    T=1/(1+4i*W/(1-W^2));
    aT=abs(T);
    xn=log10(W);
    yn=aT;
    plot([xa xn], [ya yn], 'r');
    xa=xn; ya=yn;
end
grid; xlabel('lg Omega'); ylabel('Tu');
figure;
axis equal;
plot([-2 2],[0 0]); hold on;
k=1;
W=10^(0.1*k-2);
T=1/(1+4i*W/(1-W^2));
xa=log10(W);
ya=b2g*angle(T);
for k=2:400
    W=10^(0.01*k-2);
    T=1/(1+4i*W/(1-W^2));
    xn=log10(W);
    yn=b2g*angle(T);
    plot([xa xn], [ya yn], 'g');
    xa=xn; ya=yn;
end
grid; xlabel('lg Omega'); ylabel('phit in Grad');
    