% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 8.11
clc
disp('Fhrer/Heidemann/Nerreter');
disp('Grundgebiete der Elektrotechnik, Band 3');
disp('Lsung der Aufgabe 8.11');
disp(' ');
syms t u;
format long;
CK=300e-12;
CP=600e-12;
RK=1.0e12;
RP=1.0e10;
GK=1/RK;
GP=1/RP;
Uq=20.0e3;
UP1=Uq*RP/(RK+RP);
UK1=Uq-UP1;
disp(['UP1 =',sprintf(' %2.4f ',UP1),'V']);
disp(['UK1 =',sprintf(' %2.4f ',UK1),'V']);
Ua=(CP*UP1-CK*UK1)/(CP+CK);
a=(GP+GK)/(CP+CK);
tK=10;
UP2=Ua*exp(-a*tK);
UK2=-UP2;
disp(['UP2 =',sprintf(' %2.4f ',UP2),'V']);
disp(['UK2 =',sprintf(' %2.4f ',UK2),'V']);
a=GK/CK;
b=GP/CP;
tmax=log(b/a)/(b-a);
umax=UK2*(exp(-a*tmax)-exp(-b*tmax));
disp(['tmax =',sprintf(' %2.4f ',tmax),'s']);
disp(['umax =',sprintf(' %2.4f ',umax/1000),'kV']);
tz=linspace(0,500);
u=UK2*(exp(-a*tz)-exp(-b*tz));
plot(tz,u);