% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 8.6
clc
disp('Fhrer/Heidemann/Nerreter');
disp('Grundgebiete der Elektrotechnik, Band 3');
disp('Lsung der Aufgabe 8.6');
disp(' ');
format long;
R1=50;
R2=220;
L=12.0e-6;
C=1.8e-9;
Uq=12;
K=Uq/(L*C);
zwoa=1/(R2*C)+R1/L;
a=zwoa/2;
bq=(1+R1/R2)/(L*C);
wd=sqrt(bq-a^2);
disp(['2a =',sprintf(' %3.5e ',zwoa),'1/s']);
disp(['b2 =',sprintf(' %3.5e ',bq),'1/s2']);
disp(['wd =',sprintf(' %3.5e ',wd),'1/s']);
figure;
plot([0 0],[0 0]); hold on;
xlabel('t');
ylabel('u2');
xa=0;
ya=0;
for k=1:200
    xn=k/1.0e8;
    yn=(K/bq)*(1-(cos(wd*xn)+(a/wd)*sin(wd*xn))*exp(-a*xn));
    plot([xa xn], [ya yn], 'r');
    xa=xn; ya=yn;
end;