% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 8.7
clc
disp('Fhrer/Heidemann/Nerreter');
disp('Grundgebiete der Elektrotechnik, Band 3');
disp('Lsung der Aufgabe 8.7');
disp(' ');
format long;
R1=1000;
R2=1000;
L=10.0e-6;
C=1.0e-9;
Uq=1.5;
zwoa=(1+R1/R2)/(R1*C);
a=zwoa/2;
bq=1/(L*C);
wd=sqrt(bq-a^2);
disp(['2a =',sprintf(' %3.5e ',zwoa),'1/s']);
disp(['b2 =',sprintf(' %3.5e ',bq),'1/s2']);
disp(['wd =',sprintf(' %3.5e ',wd),'1/s']);
IA=1.5e-3;
figure;
plot([0 0],[0 0]); hold on;
xlabel('t');
ylabel('u2');
xa=0;
ya=0;
for k=1:2000
    xn=k/1.0e8;
    x2=(k-1500)/1.0e8;
    if k<1500; yn=Uq/(wd*C*R1)*sin(wd*xn)*exp(-a*xn); else yn=-IA/(wd*C)*sin(wd*x2)*exp(-a*x2); end;
    plot([xa xn], [ya yn], 'r');
    xa=xn; ya=yn;
end

