% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 9.10
clc
format long;
disp('Fhrer/Heidemann/Nerreter');
disp('Grundgebiete der Elektrotechnik, Band 3');
disp('Lsung der Aufgabe 9.10');
disp(' ');
b2g=180/pi;
uqd=40;
f=50;
T=1/f;
w=2*pi*f;
Ri=150;
Gi=1/Ri;
RV=470;
GV=1/RV;
C=100e-6;
K1=uqd/(Ri*C);
a=(1+Ri*GV)/(Ri*C);
gamma=atan(w/a);
GP=Gi+GV;
tau=C/GP;
tau2=RV*C;
disp(['K1 =',sprintf(' %2.5e ',K1),'V/s']);
disp(['a =',sprintf(' %3.4f ',a),'1/s']);
disp(['tau =',sprintf(' %3.4f ',1000*tau),'ms']);
disp(['tau2 =',sprintf(' %3.4f ',1000*tau2),'ms']);
disp(' ');
eps=0.0001;
u1=14.595; % u1 muss so gewhlt werden, dass beide Er-
t1=-acos(u1/uqd)/w; % gebnisse fr u2 bereinstimmen
disp(['u1 =',sprintf(' %2.5f ',u1),'V']);
disp(['t1 =',sprintf(' %2.5f ',1000*t1),'ms']);
disp(' ');
dt2=0.0001;
ux=uqd;
t2=0;
while abs((u1-ux)/u1)>eps
    t2=t2+dt2;
    ux=uqd*cos(w*t2)*exp((t2-t1-T)/tau2);
    if ux<u1; t2=t2-dt2; dt2=0.1*dt2; end
end
disp('Berechnung fr den Zeitabschnitt t2 ... t3');
u2=uqd*cos(w*t2);
t2=acos(u2/uqd)/w;
disp(['u2 =',sprintf(' %2.5f ',u2),'V']);
disp(['t2 =',sprintf(' %2.5f ',1000*t2),'ms']);
ts=t2-t1;
wu=sqrt(a^2+w^2);
phi1=w*t1;
psi1=phi1-gamma;
a1=cos(w*ts+psi1);
a2=cos(psi1);
a3=exp(-a*ts);
Z=cos(w*ts+psi1)-cos(psi1)*exp(-a*ts);
u2=K1*Z/wu+u1*exp(-ts/tau);
t2=acos(u2/uqd)/w;
disp('Berechnung fr den Zeitabschnitt t1 ... t2');
disp(['u2 =',sprintf(' %2.5f ',u2),'V']);
disp(['t2 =',sprintf(' %2.5f ',1000*t2),'ms']);
