% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 9.3
clc
syms udach idach
disp('Fhrer/Heidemann/Nerreter');
disp('Grundgebiete der Elektrotechnik, Band 3');
disp('Lsung der Aufgabe 9.3');
disp(' ');
b2g=180/pi;
R=150;
C=80e-9;
L=10e-3;
U0=15;
ua=[7 5 3 2 1];
ub=[4 -3 -1 0 0.5];
for k=1:5
    udach(k)=sqrt(ua(k)^2 + ub(k)^2);
    phi(k)=-b2g*atan(ub(k)/ua(k));
end
Ueff=U0^2;
for k=1:5
    Ueff=Ueff+0.5*udach(k)^2;
end   
Ueff=sqrt(Ueff);
disp(['U =',sprintf(' %2.4f ',Ueff),'V']);
I0=U0/R;
disp(['I0 =',sprintf(' %3.3f ',1000*I0),'mA']);
Ieff=I0^2;
for k=1:5
    wk=k*2*pi*800;
    Y=1i*wk*C + 1/(R+1i*wk*L);
    phi(k)=angle(Y);
    idach(k)=udach(k)*abs(Y);
    Ieff=Ieff+0.5*idach(k)^2;
end
Ieff=sqrt(Ieff);
disp(['Ieff =',sprintf(' %3.4f ',1000*Ieff),'mA']);
disp(' ');
S=Ueff*Ieff;
disp(['S =',sprintf(' %2.5f ',S),'VA']);
P=U0*I0;
for k=1:5
    P=P+0.5*udach(k)*idach(k)*cos(-phi(k));
end
disp(['P =',sprintf(' %2.5f ',P),'W']);
Qb=sqrt(S^2-P^2);
disp(['QBetrag =',sprintf(' %2.5f ',Qb),'var']);