% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 11.16
clc
disp('Fhrer/Heidemann/Nerreter');
disp('Grundgebiete der Elektrotechnik, Band 3');
disp('Lsung der Aufgabe 11.16');
disp(' ');
my0=pi*4e-7;
b2g=180/pi;
U=380e3;
a=7.5;
h=8;
h1=1.8;
Istr=1000;
S=sqrt(3)*U*Istr;
disp(['S =',sprintf(' %3.4f ',S/1.0e6),'MVA']);
I10=sqrt(2)*Istr;
I20=-Istr/sqrt(2);
I30=I20;
r1=h-h1;
H(1)=I10/(2*pi*r1);
alpha(1)=0;
r2=sqrt(r1^2+a^2);
H(2)=abs(I20)/(2*pi*r2);
phi2=b2g*atan2(-r1,-a);
alpha(2)=phi2-90;
dx=a/2;
dy=r1+a*cos(30/b2g);
r3=sqrt(dx^2+dy^2);
H(3)=abs(I30)/(2*pi*r3);
phi3=b2g*atan2(-dy,-dx);
alpha(3)=phi3-90;
for k=2:3; if alpha(k)<-180; alpha(k)=alpha(k)+360; end;
end;
Hx=0;
Hy=0;
for k=1:3;
    Hx=Hx+H(k)*cos(alpha(k)/b2g);
    Hy=Hy+H(k)*sin(alpha(k)/b2g);
end;
B=my0*sqrt(Hx^2+Hy^2);
phi=b2g*atan(Hy/Hx);
disp(['B =',sprintf(' %3.4f ',B*1.0e6),' uT']);
disp(['phi =',sprintf(' %3.2f ',phi),'']);