% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 1.1
clc
disp('Fhrer/Heidemann/Nerreter');
disp('Grundgebiete der Elektrotechnik, Band 3');
disp('Lsung der Aufgabe 1.1');
disp(' ');
R1=6;
R2=15;
G3=0.25;
R3=1/G3;
Uq1=12;
Iq3=1.2;
Iq1=Uq1/R1;
G12=1/R1 + 1/R2;
R4=22;
G4=1/R4;
M=[G12+G3 -G3; -G3 G3+G4];
Rs=[Iq1-Iq3; Iq3];
Erg=linsolve(M, Rs);
U10=Erg(1);
U20=Erg(2);
U1=Uq1-U10;
U2=U10;
U3=U10-U20;
U4=U20;
disp(['U1 =',sprintf(' %3.5f ',U1),'V']);
disp(['U2 =',sprintf(' %3.5f ',U2),'V']);
disp(['U3 =',sprintf(' %3.5f ',U3),'V']);
disp(['U4 =',sprintf(' %3.5f ',U4),'V']);
Uqe=Uq1*R2/(R1+R2)+R3*Iq3;
Rie=R4*(Uqe-U4)/U4;
Gie=1/Rie;
Iqe=Gie*Uqe;
disp(' ');
disp(['Uqe =',sprintf(' %3.5f ',Uqe),'V']);
disp(['Rie =',sprintf(' %3.5f ',Rie),'Ohm']);
disp(['Iqe =',sprintf(' %3.5f ',Iqe),'A']);
disp(['Gie =',sprintf(' %3.5f ',1000*Gie),'mS']);

