% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 1.12
clc
disp('Fhrer/Heidemann/Nerreter');
disp('Grundgebiete der Elektrotechnik, Band 3');
disp('Lsung der Aufgabe 1.12');
disp(' ');
l=25.9e-3; % Lnge Trgerkrper
D=7.0e-3; % Durchmesser Trgerkrper
a=0.1e-3; % Abstand zweier Windungen
d=0.1e-3; % Drahtdurchmesser
AD=pi*d^2/4; % Drahtquerschnitt
alpha20=40.0e-6; % Temperaturkoeffizient
gamma20=2.04e6; % Leitfhigkeit
N=(l + a) / (2*d); % Windungszahl
lD = N*pi*(D+d);
R20=lD/(gamma20*AD);
Pzul=2;
Rth=60; % K/W
tBmax=170;
tU=tBmax - Pzul*Rth; % Beginn des linearen Abfalls
tB=Pzul*Rth + 20; %Betriebstemperatur
RB=R20*(1 + alpha20*(tB - 20));
UB=sqrt(Pzul*RB);
IB=UB/RB;
disp(['lD =',sprintf(' %3.5f ',lD),'m']);
disp(['R20 =',sprintf(' %3.5f ',R20),'Ohm']);
disp(' ');
disp(['thetaB =',sprintf(' %3.5f ',tB),'C']);
disp(['RB =',sprintf(' %3.5f ',RB),'Ohm']);
disp(' ');
disp(['UB =',sprintf(' %3.5f ',UB),'V']);
disp(['IB =',sprintf(' %3.5f ',IB*1000),'mA']);
