% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 5.11
clc
disp('Fhrer/Heidemann/Nerreter');
disp('Grundgebiete der Elektrotechnik, Band 3');
disp('Lsung der Aufgabe 5.11');
disp(' ');
syms UM UR US U;
format long;
b2g=180/pi;
RM=22;
UM=8.56;
f=1500;
w=2*pi*f;
US=3.94;
U=10;
Iges=UM/RM;
eqn=(UM+UR)^2+US^2-UR^2==U^2;
Ux=solve(eqn,UR);
U1=double(subs(Ux));
U2=sqrt(US^2-U1^2);
disp(['UR =',sprintf(' %3.5f ',1000*U1),'mV']);
disp(['UC =',sprintf(' %2.5f ',U2),'V']);
RS=U1/Iges;
CS=Iges/(w*U2);
disp(' ');
disp(['RS =',sprintf(' %2.5f ',RS),'Ohm']);
disp(['CS =',sprintf(' %2.5f ',1e6*CS),'uF']);
disp(' ');
disp('Verlustfaktor: ');
disp(['d =',sprintf(' %1.5f ',U1/U2)]);
