% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 5.13
clc
disp('Fhrer/Heidemann/Nerreter');
disp('Grundgebiete der Elektrotechnik, Band 3');
disp('Lsung der Aufgabe 5.13');
disp(' ');
syms Rx Cx;
format long;
b2g=180/pi;
RM=100e3;
RL=1000;
U1=5;
f=400;
w=2*pi*f;
U2a=4.54;
U2b=2.58;
Ga=1/RM;
Gb=1/RM+1/RL;
wa=w*sqrt(U1^2-U2a^2)/U2a;
wb=w*sqrt(U1^2-U2b^2)/U2b;
M=[wa -1; wb -1];
Rs=[Ga; Gb];
Erg=linsolve(M, Rs);
Cx=Erg(1);
Rx=1/Erg(2);
disp(['Rx =',sprintf(' %2.5f ',Rx/1000),'kiloOhm']);
disp(['Cx =',sprintf(' %2.5f ',1e6*Cx),'uF']);

