% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 6.12
clc
disp('Fhrer/Heidemann/Nerreter');
disp('Grundgebiete der Elektrotechnik, Band 3');
disp('Lsung der Aufgabe 6.12');
disp(' ');
RV=50;
GV=1/RV;
L=0.9e-6;
C=240e-12;
Ri=L/(C*RV);
disp(['Ri =',sprintf(' %3.5f ',Ri),' Ohm']);
syms wC wL Uq Gi GV W;
Gi=1/Ri; % L=RV*Ri*C; W=w*C*Ri
M=[0 1i*RV*W 1 -1; 1 1 -1i*W/Ri 0; Ri 0 1 0; 0 RV 0 1];
Rs=[0; 0; Uq; 0];
E=linsolve(M, Rs);
T=E(4)/Uq;
disp('T =');
disp(T);
disp(' ');
Tmax=1/sqrt(6);
W1=1/sqrt(2);
fmax=W1/(2*pi*C*Ri);
disp(['Tmax =',sprintf(' %2.6f ',Tmax)]);
disp(['fmax =',sprintf(' %2.6f ',fmax/1e6),'MHz']);
disp(' ');
eqn=(2.5-W^2)^2+(2*W)^2==12;
E=solve(eqn, W);
for k=1:4
    x=double(E(k));
    if real(x)>0; fg=x/(2*pi*C*Ri); end
end
disp(['fg =',sprintf(' %2.6f ',fg/1e6),'MHz']);