% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 6.3
clc
disp('Fhrer/Heidemann/Nerreter');
disp('Grundgebiete der Elektrotechnik, Band 3');
disp('Lsung der Aufgabe 6.3');
disp(' ');
format long;
b2g=180/pi;
C=20.0e-6;
L=0.4;
R1=100;
R2=50;
wr=sqrt((L-R1^2*C)/(C*L^2-L*C^2*R2^2));
Y1=1/(R1+1i*wr*L);
Y2=1/(R2-1i/(wr*C));
Y=Y1+Y2;
disp(['wr =',sprintf(' %3.5f ',wr),'1/s']);
disp(['Yr =',sprintf(' %3.5f ',1000*Y),'mS']);
figure;
axis equal;
plot([0.0 0.025],[0 0]); 
plot([0 0], [-0.005 0.01]);
hold on;
f=1;
w=2*pi*f;
Y=1/(R1+1i*w*L)+1/(R2-1i/(w*C));
xa=real(Y);
ya=imag(Y);
for k=1:400
    w=1.1*w;
    Y=1/(R1+1i*w*L)+1/(R2-1i/(w*C));
    xn=real(Y);
    yn=imag(Y);
    plot([xa xn], [ya yn], 'r');
    xa=xn; ya=yn;
end
grid; 
xlabel('G(omega) in S'); 
ylabel('B(omega) in S');
title('Ortskurve 6.3');

