% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 6.6
clc
disp('Fhrer/Heidemann/Nerreter');
disp('Grundgebiete der Elektrotechnik, Band 3');
disp('Lsung der Aufgabe 6.6');
disp(' ');
syms GC w;
format long;
C=1.0e-9;
R=1000;
G=1/R;
GC=G/C;
eqn=(3-GC^2/w^2)^2+(4*GC/w)^2==18;
y=solve(eqn,w);
for k=1:4
    sP=double(subs(y(k)));
    if real(sP)>0; fg=sP/(2*pi); end
end
disp(['fg =',sprintf(' %3.5f ',0.001*fg),'kHz']);
disp(' ');
fbez=100.0e3;
wbez=2*pi*fbez;
figure;
axis equal;
plot([-2 2],[0 0]); hold on;
k=0;
W=10^(0.1*k-2);
w=W*wbez;
T=3/(3-G^2/(w*C)^2+4*G/(1i*w*C));
aT=20*log10(abs(T));
xa=log10(W);
ya=aT;
for k=1:400
    W=10^(0.01*k-2);
    w=W*wbez;
    T=3/(3-G^2/(w*C)^2+4*G/(1i*w*C));
    aT=20*log10(abs(T));
    xn=log10(W);
    yn=aT;
    plot([xa xn], [ya yn], 'r');
    xa=xn; ya=yn;
end
grid; xlabel('lg Omega'); ylabel('at in dB');
figure;
axis equal;
plot([-2 2],[0 0]); hold on;
k=0;
W=10^(0.1*k-2);
w=W*wbez;
T=3/(3-G^2/(w*C)^2+4*G/(1i*w*C));
xa=log10(W);
ya=b2g*angle(T);
for k=1:40
    W=10^(0.1*k-2);
    w=W*wbez;
    T=3/(3-G^2/(w*C)^2+4*G/(1i*w*C));
    xn=log10(W);
    yn=b2g*angle(T);
    plot([xa xn], [ya yn], 'g');
    xa=xn; ya=yn;
end
grid; xlabel('lg Omega'); ylabel('phit in Grad');