% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 7.5
clc
disp('Fhrer/Heidemann/Nerreter');
disp('Grundgebiete der Elektrotechnik, Band 3');
disp('Lsung der Aufgabe 7.5');
disp(' ');
syms a b c x;
format long;
b2g=180/pi;
UEd=380e3;
PE=360e6;
f=50;
w=2*pi*f;
A11r=0.92;
A11i=0.0115;
A11=A11r+1i*A11i;
A12r=12;
A12i=98;
A12=A12r+1i*A12i;
A21r=0.98e-6;
A21i=1.75e-3;
A21=A21r+1i*A21i;
UE=UEd/sqrt(3);
IE=PE/(3*UE);
UA=A11*UE+A12*IE;
IA=A21*UE+A11*IE;
phiU=b2g*angle(UA);
phiI=b2g*angle(IA);
disp(['UA =',sprintf(' %5.5f ',0.001*abs(UA)),'kV /_',sprintf(' %3.3f ',phiU),'']);
disp(['IA =',sprintf(' %5.5f ',abs(IA)),'A /_',sprintf(' %3.3f ',phiI),'']);
SA=3*UA*conj(IA);
disp(' ');
disp(['PA =',sprintf(' %5.5f ',1.0e-6*real(SA)),'MW']);
disp(['QA =',sprintf(' %5.5f ',1.0e-6*imag(SA)),'Mvar']);
disp(['SA =',sprintf(' %5.5f ',1.0e-6*abs(SA)),'MVA']);
disp(' ');
a=(A12i*A11r-A12r*A11i)/(3*UE)^2;
b=(A12i*A21r+A11i*A11r-A12r*A21i-A11r*A11i)/3;
c=(A11i*A21r-A11r*A21i)*UE^2;
eqn=a*x^2+b*x+c==0;
x=solve(eqn,x);
y=double(subs(x));
if y(1)>0; PE=y(1); else PE=y(2); end
disp(' ');
disp(['PE =',sprintf(' %5.5f ',1.0e-6*PE),'MW']);
IE=PE/(3*UE);
UA=A11*UE+A12*IE;
IA=A21*UE+A11*IE;
phiU=b2g*angle(UA);
phiI=b2g*angle(IA);
disp(['UA =',sprintf(' %5.5f ',0.001*abs(UA)),'kV /_',sprintf(' %3.3f ',phiU),'']);
disp(['IA =',sprintf(' %5.5f ',abs(IA)),'A /_',sprintf(' %3.3f ',phiI),'']);
SA=3*UA*conj(IA);
disp(' ');
disp(['PA =',sprintf(' %5.5f ',1.0e-6*real(SA)),'MW']);
disp(['QA =',sprintf(' %5.5f ',1.0e-6*imag(SA)),'Mvar']);
disp(['SA =',sprintf(' %5.5f ',1.0e-6*abs(SA)),'MVA']);