% Fhrer/Heidemann/Nerreter Band 3, Aufgabe 8.5
clc
disp('Fhrer/Heidemann/Nerreter');
disp('Grundgebiete der Elektrotechnik, Band 3');
disp('Lsung der Aufgabe 8.5');
disp(' ');
format long;
R1=1000;
R2=2000;
C1=1.0e-9;
C2=2.0e-9;
Uq=5;
K=Uq/(R1*C2);
zwoa=1/(R1*C2)+1/(R2*C2)+1/(R1*C1);
a=zwoa/2;
bq=1/(R1*R2*C1*C2);
W=sqrt(a^2-bq);
disp(['K =',sprintf(' %3.5e ',K),'V/s']);
disp(['2a =',sprintf(' %3.5e ',zwoa),'1/s']);
disp(['b2 =',sprintf(' %3.5e ',bq),'1/s2']);
la1=W-a;
la2=-W-a;
figure;
plot([-1e-6 0],[0 0]); hold on;
xlabel('t');
ylabel('u2');
xa=0;
ya=0;
for k=1:201
    xn=k/10e6;
    yn=(K/(2*W))*(exp(la1*xn)-exp(la2*xn));
    plot([xa xn], [ya yn], 'r');
    xa=xn; ya=yn;
end;